E-MailRelay

Namespaces | Functions
gidn.h File Reference
`#include "gdef.h"`
`#include "gstringview.h"`
`#include "gexception.h"`
`#include <string>`
Include dependency graph for gidn.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | G
| Low-level classes.
namespace | G::Idn
| Internationalised Domain Name encoding.

## Functions
bool | G::Idn::valid (std::string_view domain)
| Returns true if the given domain is valid with U-labels and/or A-labels. More...
std::string | G::Idn::encode (std::string_view domain)
| Returns the given domain with A-lables. More...